Home
Home
  1. Schedules
  • Welcome
    • About Ontime
    • Overview
    • Test and Learn Projects
  • Authentication
  • Idempotency
  • Availability Check
    • Light Availability Check
      POST
    • Full Availability Check
      POST
  • Payment Management
    • Mandates
      • Create a new mandate
      • Revoke an existing mandate
      • Get a Mandate
      • Get many Mandates
    • Payment Requests
      • Instruct a new payment request
      • Cancel an existing payment request
      • Get a Payment
      • Get many Payments
    • Schedules
      • Instruct a new schedule
        POST
      • Cancel an existing schedule
        DELETE
      • Get a schedule
        GET
      • Get many schedules
        GET
  • Payouts
    • Get a Payout
      GET
    • Get Available Payouts
      GET
  • Webhooks
    • Mandate Created/Updated
    • Payment Request Created/Updated
    • Payout Created
  • Schemas
    • Schemas
      • PaymentManagement
        • MandateLimitations
        • MandateRecordResponse
        • MandateDeleteResponse
        • GetMandatesPagedResponse
        • MandateStatus
        • MandateRecordRequest
        • PaymentCreateRequest
        • PaymentResponse
        • PaymentDeleteResponse
        • GetPaymentsPagedResponse
        • PaymentStatus
        • AuthorisationSource
        • ScheduleCreateRequest
        • InstalmentResponse
        • ScheduleStatus
        • ScheduleResponse
        • InstalmentRequest
        • ScheduleCancelResponse
        • ExpectedPayment
        • PaymentCancelResponse
      • Payout
        • PayoutResponse
        • PayoutPaymentRequestItem
        • ListPayoutsResponse
      • Deprecated
        • Invitation
        • Consumer
        • PaymentMethod
        • ProductPaymentStatus
        • ProductStatus
        • PaymentRequestData
      • Webhook
        • Webhook
        • WebhookPaymentRequestPayload
        • WebhookMandatePayload
        • WebhookPayoutPayload
      • Core
        • ConsumerData
        • ProblemDetails
        • Metadata
        • PagingResponse
      • Availability
        • FullAvailabilityCheckRequest
        • FullAvailabilityCheckResponse
        • AvailabilityStatus
        • LightAvailabilityCheckRequest
        • LightAvailabilityCheckResponse
  1. Schedules

Get a schedule

Developing
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
Cloud Mock
https://mock.apidog.com/m1/828215-0-default
GET
https://mock.apidog.com/m1/828215-0-default
schedules/{schedule_id}
OperationId:get_schedule_by_id
Returns the schedule matching the Id provided.

Request

Authorization
OAuth 2.0
Client Credentials
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Token URL: https://{domain}.auth.{region}.amazoncognito.com
Scopes:
schedules:read-Can read payment schedules.
or
Path Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://mock.apidog.com/m1/828215-0-defaultschedules/' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "schedule_record": {
        "id": "d184efe4-1c16-4045-a3c9-d36937913fab",
        "mandate_id": "a113709e-c69d-4437-82de-d8053c665fce",
        "currency": "GBP",
        "total_amount": 15000,
        "instalments": [
            {
                "amount": 7500,
                "due_date": "2026-04-20",
                "payment_request_id": "1b3529ce-5630-4c32-aa43-0da7b1accc60"
            },
            {
                "amount": 7500,
                "due_date": "2026-10-31",
                "payment_request_id": "2ef2628c-4fb5-41d2-b2f2-2c22e6973153"
            }
        ],
        "schedule_status": "Provisioned",
        "metadata": null
    }
}
Previous
Cancel an existing schedule
Next
Get many schedules